VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::content::LibraryModel::LibraryType Class Reference

The `LibraryModel.LibraryType` enumerated type defines the type of a LibraryModel . More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, LOCAL, SUBSCRIBED }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static LibraryType[] | GetValues ()
static LibraryType | ValueOf (string name)
## Static Public Attributes
static readonly LibraryType | LOCAL = new LibraryType("LOCAL", Values.LOCAL)
| The library contents are defined and stored by the local Content Library Service installation.
static readonly LibraryType | SUBSCRIBED = new LibraryType("SUBSCRIBED", Values.SUBSCRIBED)
| The library synchronizes its items and content from another published library.

## Detailed Description

The `LibraryModel.LibraryType` enumerated type defines the type of a LibraryModel .

The type of a library can be used to determine which additional services can be performed with a library.

## Member Enumeration Documentation

enum vmware::content::LibraryModel::LibraryType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  LOCAL | The library contents are defined and stored by the local Content Library Service installation. A local library can be retrieved and managed via the LocalLibrary .
  SUBSCRIBED | The library synchronizes its items and content from another published library. A subscribed library can be retrieved and managed via the SubscribedLibrary .

## Member Function Documentation

Values vmware::content::LibraryModel::LibraryType::GetEnumValue | ( |  | ) | `[inline]`

static LibraryType [] vmware::content::LibraryModel::LibraryType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::content::LibraryModel::LibraryType::IsUnknown | ( |  | ) | `[inline]`

static LibraryType vmware::content::LibraryModel::LibraryType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly LibraryType vmware::content::LibraryModel::LibraryType::LOCAL = new LibraryType("LOCAL", Values.LOCAL)`[static]`

The library contents are defined and stored by the local Content Library Service installation.

A local library can be retrieved and managed via the LocalLibrary .

readonly LibraryType vmware::content::LibraryModel::LibraryType::SUBSCRIBED = new LibraryType("SUBSCRIBED", Values.SUBSCRIBED)`[static]`

The library synchronizes its items and content from another published library.

A subscribed library can be retrieved and managed via the SubscribedLibrary .

The documentation for this class was generated from the following file:

- LibraryModel.cs